Skip to content

Create array data resource

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

When you only need to create array type data resources, you can use this API. We have fixed the data resource type, and you do not need to pass in the type character field. Note: The struct field can only pass in array type data.

Method name

ManagementClient.createDataResourceByArray

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
actionsstring[]Yes-Data resource permission operation list Array length limit: 50.["read","get"]
structstring[]Yes-Array data resource node Array length limit: 50.["exampleArrayStruct1","exampleArrayStruct2"]
resourceCodestringyes-Data resource Code, unique in the permission spacedataResourceTestCode
resourceNamestringyes-Data resource name, unique in the permission spaceSample data resource name
namespaceCodestringyes-Permission space where the data policy is locatedcode1
descriptionstringno-Data resource descriptionSample data resource description

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.createDataResourceByArray({
    namespaceCode: "examplePermissionNamespace",
    resourceCode: "arrayResourceCode",
    resourceName: "Example array data resource",
    struct: ["exampleArrayStruct1", "exampleArrayStruct2"],
    description: "Example array data resource description",
    actions: ["get", "read"],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CreateArrayDataResourceResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CreateArrayDataResourceRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "resourceName": "Sample data resource name",
    "resourceCode": "dataResourceTestCode",
    "type": "TREE",
    "description": "Sample data resource description",
    "struct": "[\"exampleArrayStruct1\",\"exampleArrayStruct2\"]",
    "actions": "[\"read\",\"get\"]"
  }
}

Data structure

CreateArrayDataResourceRespDto

NameTypeIs it required?DescriptionSample value
resourceNamestringYesData resource name, unique in the permission spaceSample data resource name
resourceCodestringYesData resource Code, unique in the permission spacedataResourceTestCode
typestringYesData resource type, currently supports tree structure (TREE), string (STRING), array (ARRAY)TREE
descriptionstringNoData resource descriptionSample data resource description
structarrayYesArray data resource node Array length limit: 50.["exampleArrayStruct1","exampleArrayStruct2"]
actionsarrayYesData resource permission operation list Array length limit: 50.["read","get"]

Agent infrastructure for identity, memory, and web action.